### Method

# Atk RelationSet add_relation_by_type

since: 1.9

#### Declaration [src]

    void
    atk_relation_set_add_relation_by_type (
      AtkRelationSet* set,
      AtkRelationType relationship,
      AtkObject* target
    )

#### Description [src]

Add a new relation of the specified type with the specified target to the current relation set if the relation set does not contain a relation of that type. If it is does contain a relation of that typea the target is added to the relation.

Available since: 1.9

#### Parameters

`relationship`

  Type: `AtkRelationType`

  An `AtkRelationType`.

`target`

  Type: `AtkObject`

  An `AtkObject`.

  The data is owned by the caller of the method.